#ifndef PROCESSDIALOG_H
#define PROCESSDIALOG_H

#include <QDialog>
#include <QMovie>
#include <QTimer>

namespace Ui {
class ProcessDialog;
}

class LegacyApp;

class ProcessDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ProcessDialog(LegacyApp *app_, QWidget *parent = 0);
    ~ProcessDialog();

protected:
    void mouseMoveEvent(QMouseEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;

public slots:
    void updateUI();

private:
    Ui::ProcessDialog *ui;
    QMovie loader;

    LegacyApp* app;
    QPoint dragPosition;
    QTimer uiUpdateTimer;
};

#endif // PROCESSDIALOG_H
